aboutsummaryrefslogtreecommitdiffstats
path: root/vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh
diff options
context:
space:
mode:
authorMurali-P <murali.p@huawei.com>2017-08-10 17:36:52 +0530
committerMurali-P <murali.p@huawei.com>2017-08-10 17:36:52 +0530
commit22584d08c709a1f590b57fe57ebe6c58d09ac918 (patch)
treedbeb12a5421cd825b36556aa436e3a5b8238bb5f /vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh
parentdd9444f286adb565485f12b80c7bbff1b1c6a677 (diff)
Bin file missing
Change-Id: I396c8f5d45e485f68d01564291b379beb3ec5f77 JIRA:VNFSDK-53 Signed-off-by: Murali-P <murali.p@huawei.com>
Diffstat (limited to 'vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh')
-rw-r--r--vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh b/vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh
new file mode 100644
index 00000000..c60ffd80
--- /dev/null
+++ b/vnfmarket-be/deployment/zip/src/main/release/bin/stop.sh
@@ -0,0 +1,40 @@
+# Copyright 2017 Huawei Technologies Co., Ltd.
+
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+
+# http://www.apache.org/licenses/LICENSE-2.0
+
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#!/bin/bash
+SCRIPT_DIR=`dirname "$0"`
+export APP_ROOT=`cd "$SCRIPT_DIR"/../; pwd`
+
+if [ -z "$JAVA_HOME" ]
+then
+ echo "There is no JAVA_HOME"
+ exit 1
+fi
+
+if [ -z "$CATALINA_HOME" ]
+then
+ echo "There is no CATALINA_HOME"
+ exit 1
+fi
+
+if [ -z "$APP_ROOT" ]
+then
+ echo "There is no APP_ROOT"
+ exit 1
+fi
+
+export CATALINA_BASE=$APP_ROOT
+
+$CATALINA_HOME/bin/catalina.sh stop
+